Plugin Name: Icegram Express - Email Subscribers, Newsletters and Marketing Automation Plugin
Plugin URI : https://www.icegram.com/
Author	   : Icegram
Author URI : https://www.icegram.com/
License	   : GPLv3


**4.3.13 (24.02.2020)**

* Update: Added custom style for consent text
* Fix: **{{LIST}}** keyword did not work in the welcome email

**4.3.12 (17.02.2020)**

* Update: Added support for HTML in GDPR consent text
* Update: Now, contact will be deleted upon the deletion of WordPress user if WordPress sync is on.
* Update: Removed .SVG images from templates as it's blocked by Gmail
* Fix: Confirmation email did not go out if the subject is empty
* Fix: Email Sending options was not saved properly

**4.3.11 (12.02.2020)**

* New: Now, one can add consent checkbox in subscription form
* Fix: PHP Notices

**4.3.10 (16.01.2020)**

* Fix: Invalid email adding issue from Rainmaker

**4.3.9 (08.01.2020)**

* Update: Added compatibility with Outlook mailer of WP Mail SMTP plugin. (Thanks to [@kinderkeuken](https://profiles.wordpress.org/kinderkeuken/) to help us debugging)
* Fix: Duplicate email import issue.

**4.3.8 (25.12.2019)**

* Fix: Include Javascript issue with localized WordPress
* Fix: Duplicate entries of contacts

**4.3.7 (18.12.2019)**

* Update: Improved import contacts functionality. Now, we can import ".CSV" file which contains only emails
* Fix: Multiple emails to contacts

**4.3.6 (12.12.2019)**

* Update: Improve on boarding
* Fix: Count shows zero (0) even if contacts available in list
* Fix: File with ".CSV" (uppercase) extension was not working with import contacts.
* Fix: Incorrect unsubscribed contacts count

**4.3.5.1 (07.12.2019)**

* Update: Improved edit contact
* Fix: Contacts removed from the list when new subscriber subscribed to the list
* Fix: WordPress contact sync issue

**4.3.5 (04.12.2019)**

* New: Added setting to set CRON interval
* New: Added setting to set maximum emails to send on every CRON request
* Fix: Illegal string offset ‘es_registered’ warning

**4.3.4.1 (29.11.2019)**

* Fix: Delete Campaigns Permanently issue
* Fix: Security issues
* Update: Considered HTTP_X_REAL_IP while getting user IP address

**4.3.4 (28.11.2019)**

* Update: Delete Campaigns Permanently which are already deleted before
* Fix: Import issue
* Fix: Multiple email sending issue

**4.3.3 (25.11.2019)**

* Fix: Cron Lock issue
* Fix: Honeypot issue with caching plugin

**4.3.2 (20.11.2019)**

* New: Added basic reporting like total subscribed, unsubscribed, open in last 60 days in audience dashboard
* New: Added Preheader in broadcast
* Update: Clear all CRON on deactivation
* Update: Improve Email Sending
* Fix: Override of Cron Schedules
* Fix: email "Sending" issue
* Fix: Unsubscribe link issue

**4.3.1 (13.11.2019)**

* New: Delete Form Permanently
* New: Delete List Permanently
* Update: Restrict multiple email sending
* Fix: Broadcast inactive issue
* Fix: Fix performance issue
* Fix: Import Contacts issue
* Fix: Linebreak issue for broadcast templates
* Fix: Fatal error

**4.3.0 (06.11.2019)**

* Fix: Test email sending issue
* Fix: New Broadcast issue
* Fix: Import contacts issue
* Update: Fixed typo
* Update: .POT File

**4.2.4 (23.10.2019)**

* Update: Improve Create Broadcast UI
* Fix: Unable to remove label for Email field in Subscription Form
* Fix: Validate Post Notification data

**4.2.3 (17.10.2019)**

* Update: Now, only administrators can access  Icegram Express menus.
* Fix: Email open tracking
* Fix: Vulnerability while exporting contacts
* Fix: Vulnerability while sending a test email
* Fix: Check permission before saving settings

**4.2.2 (15.10.2019)**

* New: Added configuration option for label & placeholder for subscription form
* Update: Ask subscribers for confirmation before unsubscription
* Fix: Unsubscription issue

**4.2.1 (10.10.2019)**

* Update: Added per page screen option for Contacts, Forms, Lists & Campaigns

**4.2.0 (01.10.2019)**

* New: [Pepipost](https://pepipost.com/?utm_source=icegram&utm_medium=es_inapp&utm_campaign=pepipost) API support for email sending

**4.1.15 (12.09.2019)**

* New: Stop email sending if hourly email sending limit exceeded.
* Update: Added option to customize message after form submission (Icegram Express > Settings Menu)
* Fixed: Import contacts issue

**4.1.14 (28.08.2019)**

* New: Import First Name & Last Name
* Update: Added "Send Welcome email" option to send out Welcome Email.
* Fix: Multiple Welcome & Admin email notification on clicking confirmation link multiple times

**4.1.13 (20.08.2019)**

* New: Added option to select "All Categories" in post notifications.
* New: Send "Welcome Email" to contact which are being added from Audience dashboard
* Fix: All Post Notifications were sent for the post with no category selected
* Fix: Typo

**4.1.12 (07.08.2019)**

* Fix: Set post categories correctly after migration
* Fix: Get all lists from email list & notification tables

**4.1.11 (02.08.2019)**

* Fix: Send multiple email notification issue

**4.1.10 (31.07.2019)**

* Update: Added viewed count on the reports page
* Fix: Shortcodes were not working in email templates
* Fix: Viewed status was not getting updated
* Fix: Migration issues in reports

**4.1.9 (25.07.2019)**

* Update: Admin notification will be sent out only after contacts confirm their subscription
* Update: Show Post Notifications categories in campaigns view
* Fix: Sort contacts by name
* Fix: Email Notification formatting issue

**4.1.8 (16.07.2019)**

* New: Now, admin can add/ edit First Name & Last Name of subscribers.
* Fix: Fixed Vulnerabilities (Thanks Tin Duong of Fortinet's FortiGuard Labs, WordPress Plugin Review Team & Ihor Voschyk for reporting)

**4.1.7 (15.07.2019)**

* Update: Now, able to sort reports by Subject, Status, Start Date, End Date & Total Contacts
* Update: Now, able to sort forms by Name & Created date
* Update: Now, email template will pick up the latest content while email sending
* Fix: Importing issue
* Fix: Migration issue
* Fix: Fixed Vulnerability

**4.1.6 (01.07.2019)**

* Update: Added sorting for name field in the Audience tab
* Fix: Warning: Illegal string offset 'es_registered'
* Fix: Set list name blank in campaign list page
* Fix: Contacts sort by email was not working.

**4.1.5 (20.06.2019)**

* Update: Added "Opt-In Type" column in exported contacts lists
* Update: Allow to send broadcast only if contacts are available in list
* Fix: "Select the list" error

**4.1.4 (13.06.2019)**

* New: Added First Name, Last Name in exported csv file
* New: Added {{FIRSTNAME}}, {{LASTNAME}} keyword
* Update: Improve subscription form layout.

**4.1.3 (06.06.2019)**

* New: Export contacts by list

**4.1.2.2 (31.05.2019)**

* Fix: Fatal error: Call to undefined function get_plugins()

**4.1.2.1 (30.05.2019)**

* Fix: Unable to use sync functionality

**4.1.2 (29.05.2019)**

* New: Added support to export "Unconfirmed" contacts.

**4.1.1 (21.05.2019)**

* Fix: "Oops.. Unexpected error occurred" while subscribing
* Fix: Typo in "Campaigns > Edit Post Notification" title
* Fix: Duplicate lists while syncing WordPress users

**4.1 (14.05.2019)**

* New: Now, able to change the label of "Subscribe" button

**4.0.18 (07.05.2019)**

* New: Added a feature to duplicate any template
* New: Added support to re-run database migration from ES 3.5.18
* Fix: Display "0" above form
* Fix: Migration issue

**4.0.17 (03.05.2019)**

* New : New keywords added : {{TOTAL-CONTACTS}} in form description
* Fix : Post/page editor issue with RTL sites

**4.0.16 (23.04.2019)**

* New : New keywords added : {{TOTAL-CONTACTS}} , {{SITEURL}}, {{SITENAME}}
* New : Added option to enable/ disable WordPress Cron for Icegram Express
* New : Added option to enable/ disable email open tracking
* Fix : Database error while sorting list
* Fix : Incorrect viewed and sent dates in report details

**4.0.15 (17.04.2019)**

* Fix: Error with Gutenberg editor
* Fix: Media Upload Error
* Fix: WordPress Media Library grid issue
* Fix: Database error

**4.0.14.1 (16.04.2019)**

* Fix: CSS issue

**4.0.14 (15.04.2019)**

* Fix : Added plain text email content for html email
* Fix : Email confirmation fails if address contains ‘+’
* Fix : Migration issue
* Update: POT file

**4.0.13 (05.04.2019)**

* Fix: Plain text email does not decode HTML entities
* Fix: Not able to select category with special charterers in post notification
* Fix: Not able to send email using Amazon SES
* Fix: Allow contact to subscribe again once unsubscribed
* Fix: Remove the NAME field when "NO" set in the shortcode
* Update: POT file

**4.0.12 (01.04.2019)**

* Fix : Parse error: syntax error, unexpected T_FUNCTION
* Update: Remove old css
* Update: POT file

**4.0.11 (26.03.2019)**

* New : Added "Add to List" option to the bulk actions of contacts
* New : Link contacts from list view
* Update: Additional security check while opt-in and unsubscription
* Fix : PHP Fatal error: Cannot redeclare temp_filter_category()

**4.0.10 (20.03.2019)**

* Update: Added resent confirmation message
* Fix: Duplicate contacts via Rainmaker form
* Fix: Parse error: syntax error, unexpected '['
* Fix: New strings will be available for translations on [WordPress](https://translate.wordpress.org/) (Thanks to [@otto42](https://profiles.wordpress.org/otto42/) and [@dd32](https://profiles.wordpress.org/dd32/))

**4.0.9 (15.03.2019)**

* Fix: Post Notification doesn't work with WP 5.0+ and 'Classic Editor'
* Fix: Username is set instead of user's name after Sync WordPress users
* Fix: Welcome Email and Confirmation Email was not working when subscribed via Rainmaker
* Fix: '{{Email}}' keyword is empty in emails

**4.0.8 (14.03.2019)**

* Fix: Multiple post notifications issue
* Fix: "500 internal server error" while using Rainmaker Form
* Fix: Post notifications are not being sent while republishing older posts
* Update: Enhance import contacts functionality
* Update: POT file

**4.0.7 (13.03.2019)**

* Fix: Parse error: syntax error, unexpected T_FUNCTION in older version of PHP
* Fix: Cron URL set empty
* Fix: Post notifications not being sent for the first time post publish in WP 5.0+
* Update: Show success/ error message on campaign delete.
* Update: Show notice if WordPress Cron is disable.

**4.0.6 (12.03.2019)**

* Enhancement: Now, queued emails will be processed on every 15 minutes
* Fix: Parse error: syntax error, unexpected T_FUNCTION, expecting ')'
* Fix: Parse error: syntax error, unexpected '[', expecting ')'
* Update: POT file

**4.0.5 (11.03.2019)**

* Update: Enable admin email notification after campaign sent
* Fix: Migration of old Email Subscriber's widgets
* Fix: Could not create, edit list

**4.0.4 (07.03.2019)**

* Fix: 'es_subbox' function not working
* Fix: Warning: Cannot modify header information

**4.0.3 (06.03.2019)**

* New: Able to process queued emails manually
* Update: Added list wise status for contact on Audience dashboard
* Update: Added status based filtering for contacts
* Update: Added Icegram compatibility
* Fix: Post Notification not getting triggered
* Fix: Incorrect CRON URL issue when migrated from other domain

**4.0.2 (04.03.2019)**

* Update: Added sync WordPress users functionality
* Update: Added status(Subscribed/ Unsubscribed ) column in Audience dashboard
* Fix: Short description Missing in Widget
* Fix: Fatal error: Uncaught Error: Class ‘es_cls_registerhook’ not found in Reports Section
* Fix: Contacts not getting confirmation mail
* Fix: Opt-In type shown "Single-opt-in" by default
* Fix: Post Notification templates are not available for selection
* Update: POT file

**4.0.1 (02.03.2019)**

* Fix: Widget sidebar is broken due to Icegram Express Widget
* Fix: GDPR consent checkbox is missing
* Fix: PHP HTML Mail/ Plain Text email option missing
* Fix: "Name" & "Email" label missing in subscription form
* Fix: Couldn't delete List
* Fix: Compatibility with POST SMTP, WP SES plugin.
* Fix: Accentuated letters and special characters are not working in post categories.

**4.0 (01.03.2019)**

* New: [Revamped the plugin](https://www.icegram.com/email-subscribers-plugin-redesign/) - Changes in UI and terminology
* New: Added domain blocking to prevent spam attacks
* Update: POT file

**3.5.18**

* Fix: Double Opt in subscription link is not working with email having "+" sign

**3.5.17**

* Update: Now, email subscription limit also check for non admin users.

**3.5.16**

* Fix: spam subscription issue.
* Fix: Visitors were not able to subscribe.

*******************************************************Version 3.5.15******************************************************

* Fix: Extra field shown for forms on RTL sites

*******************************************************Version 3.5.14******************************************************

* Fix: Improve prevention of spam signups

*******************************************************Version 3.5.13******************************************************

* Fix: “Oops, an unexpected error occurred” while subscribing 
* Update: Added shortcode support in email templates [learn more](https://www.icegram.com/documentation/why-some-shortcodes-are-not-working-in-email-templates)

*******************************************************Version 3.5.12******************************************************

* Fix: Invalid unsubscribe link
* Update: Use string instead of constant for Text Domain.

*******************************************************Version 3.5.11******************************************************

* Fix: Send test newsletter to "Test" group on update

*******************************************************Version 3.5.10******************************************************

* Fix: Prevent spam signups

*******************************************************Version 3.5.9******************************************************

* Fix: Opt-In Confirmation and Unsubscribe link not working after server migration.

*******************************************************Version 3.5.8******************************************************

* Update: Added "Test Email" functionality to confirm email deliverability.

*******************************************************Version 3.5.7******************************************************

* Fix: Post notification sent to multiple times.
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.5.6************************************************************

* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.5.5************************************************************

* Enhancment : Improved onboarding 
* Fix: "Notice: get_currentuserinfo is deprecated"
* Fix: Import CSV not working if list contains only one record

************************************************************Version 3.5.4************************************************************

* New: Added option to disable cron email sent to Admin
* Fix: 'Optimize Table & Delete Records' button not deleting any reports
* Fix: 'In Queue' notice showing multiple times on Reports tab
* Update: Sent Report email will be now sent only if sending email immediately
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.5.3************************************************************

* Fix: Notices on Subscribers -> Sync page (Illegal string offset ‘es_registered’ & ‘es_registered_group’)
* Update: Use of $wpdb->prepare for direct queries to the database
* Update: Text improvements while creating/editing post notification
* Update: POT file
* Localization: Translation for Swedish (sv_SE) language updated (Thanks to Rune Svennelid)
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.5.2************************************************************

* Update: Show list of available keywords based on template type while editing a template
* Update: Increased 'maxlength' for name and email field in the subscription form
* Update: Single subscription form for widget, shortcode and php code
* Update: Added text domain for missing texts
* Update: POT file
* Localization: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Localization: Translation for German Deutsch (de_DE) language updated (Thanks to Zero & Markus Buschmann)
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.5.1************************************************************

* Update: Privacy Policy page link on Help & Info page
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file
* Localization: Translation for Lithuanian (lt_LT) language removed
* Tweak: Notice for admin on Reports page if Cron job is 'In Queue'

************************************************************Version 3.5.0************************************************************

* New: [GDPR] Provision for consent checkbox in the subscription form [Steps to enable it](https://www.icegram.com/documentation/es-gdpr-how-to-enable-consent-checkbox-in-the-subscription-form/)
* New: Keyword {{POSTEXCERPT}} for showing Post Excerpt in Post Notification emails
* Fix: Missing santization in preview template (Thanks to Chris Liu)
* Update: Doc links in plugin on Help & Info page
* Update: POT file
* Localization: Translation for German Deutsch (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Translation for Italian (it_IT) language updated (Thanks to Roberto Pavesi)
* Localization: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Localization: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Localization: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)
* Localization: Made all translation files up-to-date with latest POT file
* Localization: Translation for Czech (cs_CZ) language removed

************************************************************Version 3.4.12************************************************************

* Fix: Some users getting 'Invalid email address' for valid email address during form submission
* Fix: Empty email field not showing validation errors during form submission
* Update: Make email field required in the subscribe form
* Update: Remove extra error notices
* Update: POT file
* Localization: Translation for German Deutsch (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.4.11************************************************************

* Fix: Special characters in the post title showing as html entities when using {{POSTTITLE}} keyword [due to `get_the_title($post)`]
* Fix: 'Oops.. Unexpected error occurred 0.' in Icegram Express - Group Selector form when subscriber status is unconfirmed or unsubscribed

************************************************************Version 3.4.10************************************************************

* New: Improvements in the subscribe form
* New: Improvements in the form submission process
* Fix: Prevent spam signups
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.4.9************************************************************

* New: Show Viewed email count from total sent emails in Delivery Reports
* New: Use `get_the_title($post)` for getting post title to make it extendable
* New: Inform users that default post notifications are enabled by default
* Fix: Prevent spam signups
* Fix: Double header MIME Type and X-Mailer in wp_mail() causing email to bounce in some cases
* Update: Text improvements in unsubscribe link (New users only)
* Update: Show upgrade notice for Pro plugin only if Pro plugin is not activated
* Update: POT file
* Localization: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Localization: Translation for German Deutsch (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Made all other translation files up-to-date with latest POT file

************************************************************Version 3.4.8************************************************************

* Fix: Security vulnerability (Thanks to Dominykas Gelucevicius from [ThreatPress Security](https://profiles.wordpress.org/threatpress))
* Update: Only site administrator will be able to export list of subscribers
* Update: POT file
* Localization: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Made all other translation files up-to-date with latest POT file
* Tweak: Doc link addition for newsletter keywords while creating/updating a template

************************************************************Version 3.4.7************************************************************

* Fix: Empty email with only unsubscribe links sent to subscribers
* Fix: Remove usage of rawurlencode() to prevent broken subscribe & unsubscribe links
* Update: Removed the functionality to subscribe emails with special characters
* Update: Change in logic for updating subscribers information in subscribers dashboard
* Update: POT file
* Localization: Translation for Italian (it_IT) language added (Thanks to  Roberto Pavesi)
* Localization: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Localization: Made all other translation files up-to-date with latest POT file

************************************************************Version 3.4.6************************************************************

* Fix: Fatal error while accessing subscribers export screen

************************************************************Version 3.4.5************************************************************

* Fix: Not throwing 'Invalid Email' error for sanitized emails
* Fix: Showing 'Resend Confirmation' for confirmed emails
* Fix: '\n' showing in alert notice
* Update: Use term 'Templates' instead of 'Compose' in plugin
* Update: Code cleanup
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.4.4************************************************************

* New: Introducing [Icegram Express Pro](https://www.icegram.com/email-subscribers-pricing/) plan
* Update: Change in logic for showing subscribers in subscribers dashboard

************************************************************Version 3.4.3************************************************************

* Fix: Templates showing up in frontend search results
* Update: Documentation links on Help & Info page
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file

************************************************************Version 3.4.2************************************************************

* Fix: User roles not working
* Fix: Viewed Status in Reports not updating after an email is opened
* Fix: Preview Template button not redirecting to correct page while previewing
* Update: Keyword structure display for Name & Email in preview
* Update: Thumbnail image on Templates
* Update: POT file
* Localization: Made all translation files up-to-date with latest POT file
* Localization: Translation for Portuguese-Brazil (pt_BR) language added (Thanks to Marcelo de Meneses Guedes)

************************************************************Version 3.4.1************************************************************

* Fix: Fatal error: Can’t use function return

************************************************************Version 3.4.0************************************************************

* New: Old keyword structure ###KEYWORD### converted to {{KEYWORD}}
* New: 2 new keywords - {{NAME}} & {{EMAIL}} - for Newsletter
* New: Improved the UI for Compose and renamed it to Templates
* New: Replace the keyword with actual content from last blog post while previewing Post Notification
* New: You can set featured thumbnail for the Templates
* Update: Footer text
* Update: POT file
* Localization: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)
* Localization: Translation for Catalan (ca) language updated (Thanks to Jordi Jorda)
* Localization: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Localization: Translation for Spanish (es_ES) language updated (Thanks to Fernando Pérez)

************************************************************Version 3.3.7************************************************************

* Fix: Keywords ###NAME### and ###EMAIL### not showing correct details while sending post notifications emails (in HTML type only)

************************************************************Version 3.3.6************************************************************

* New: Allow emails with special characters to get subscribed
* New: Show groups in dropdown while creating subscribe form via widget
* New: Show Preview button above the WordPress editor at the time of editing a composed Newletter / Post Notification
* Fix: Extra line breaks (`<br>` tags) removed when sending HTML emails
* Fix: Remove hardcoded ENGINE while creating default tables for new users
* Fix: Remove hardcoded Collation while creating default tables for new users
* Update: Only one line break while auto inserting unsubscribe link in the emails
* Update: Improvements in logic to create default tables on first activation
* Update: Email preview page after an email is composed or sent
* Update: Show Preview in new column on Compose screen with a search dashicon
* Update: Footer text
* Update: POT file
* Update: Translation for French (fr_FR) language updated (Thanks to Serge)
* Update: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)
* Update: Translation for Norwegian (nb_NO) language added (Thanks to Helge Rosseboe)

************************************************************Version 3.3.5************************************************************

* New: UI & structure for Help & Info page
* Fix: Some users were getting error - Cannot modify header information – headers already sent - when publishing/accessing a post
* Fix: Unable to select Opt In type from Settings
* Fix: In-built translations were not loading
* Fix: CSS getting included in all admin pages
* Fix: Missing `</span>` tag on Help & Info menu
* Fix: Enable to translate 'Add Subscription Form' FAQ on Help & Info page
* Update: Improvement in logic to get post author name for keyword ###POSTAUTHOR###
* Update: Improved default content for welcome email
* Update: Do not include ###GROUP### name by default in welcome email. Admin can add ###GROUP### name manually using keyword (New users only)
* Update: Text improvement at few places
* Update: POT file
* Tweak: Show Cron menu before User Roles menu in Icegram Express -> Settings for better accessibility
* Tweak: Use email dashicon instead of mail image for Icegram Express menu
* Tweak: Use search dashicon instead of preview image for Reports menu
* Tweak: Use no dashicon instead of delete image for Reports menu

************************************************************Version 3.3.4************************************************************

* New: Keyword ###POSTAUTHOR### to display Post Author name in Post Notification emails
* New: Improvements in default settings and the email content created on first install of plugin (New users only)
* New: Display Blog Name in FROM name instead of Admin (New users only)
* Update: POT file
* Update: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)
* Tweak: Do not highlight 'Reports' menu in Grey color
* Tweak: Documentation links

************************************************************Version 3.3.3************************************************************

* Fix: Settings used to get reset to default values when upgraded to a version higher than version 3.3

************************************************************Version 3.3.2************************************************************

* New: Improvements in default Post Notification & Newsletter templates created on first install of plugin (New users only)
* Update: Mention while creating emails (under Compose) that Available Keywords are for Post Notifications only
* Update: POT file
* New: Translation for Norwegian (nb_NO) language added (Thanks to Helge Rosseboe)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Hungarian (hu_HU) language updated (Thanks to Zsolt Edelényi)
* Update: Translation for Swedish (sv_SE) language updated (Thanks to Rune Svennelid)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)
* Update: Translation for French (fr_FR) language updated (Thanks to Serge)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)

************************************************************Version 3.3.1************************************************************

* New: Admin can now include user subscribed group name in the Welcome Email (Icegram Express v3.3.1+)
* Update: Documentation links
* Update: POT file
* Update: Translation for French (fr_FR) language updated (Thanks to Serge)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)
* Update: Translation for German (de_DE) language updated (Thanks to Markus Buschmann)

************************************************************Version 3.3************************************************************

* New: Merged Roles and Cron menu into Settings
* New: Tab structure for Settings
* Fix: Javacript error on saving composed email template
* Update: Moved settings data from custom table to WordPress options table
* Update: Do not allow to assign roles for Help & Info and Settings menu
* Update: Text correction at few places
* Update: POT file

************************************************************Version 3.2.11************************************************************

* Fix: Export filters was not generating correct data
* Update: POT file
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Martin)
* Tweak: Do not show confirm notice while exporting subscribers

************************************************************Version 3.2.10************************************************************

* New: Admin can now include user subscribed group name in the Welcome Email (Icegram Express v3.2.10+)
* New: Show recently subscribed subscribers on top of the Subscribers page
* New: Show submission time of subscribers on Subscribers page
* New: Show count of total & active subscribers on Subscribers page (for admin view only)
* New: Now you can export list of all & inactive subscribers
* Fix: Custom attribute in the subscribe form was throwing error with HTML validator
* Update: Increase the count of viewing the number of subscribers on Subscribers page
* Update: Increased limit of Display All subscribers
* Update: POT file
* New: Translation for German (de_DE) language added (Thanks to Markus Buschmann)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Hungarian (hu_HU) language updated (Thanks to Zsolt Edelényi)
* Update: Translation for Catalan (ca) language updated (Thanks to Jordi Jorda)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)

************************************************************Version 3.2.9************************************************************

* New: Use [Icegram](https://wordpress.org/plugins/icegram/) to increase Subscribers list
* Fix: Multiple subscribe forms were not working on same page
* Update: Form submission process
* Update: POT file
* Update: Translation for Hungarian (hu_HU) language updated (Thanks to Zsolt Edelényi)

************************************************************Version 3.2.8************************************************************

* New: Added label tags to subscribe form
* New: Show success / error messages below subscribe form instead of above
* Fix: Single Opt In was sometimes giving 'Please try after some time' error
* Fix: Re-subscribing same subscriber was not giving 'Email Address already exists' error incase of Single Opt In
* Fix: Name field was not clearing on successful sign up from subscribe form
* Fix: Show 'sent reports time' in site's timezone instead of UTC
* Fix: Show only active (Confirmed & Single Opt In) subscribers while exporting subscribers list
* Fix: Made few strings translatable
* Update: Security check in files
* Update: Code improvements when using $wpdb->prefix for queries
* Update: Text correction & improvements
* Update: POT file
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Catalan (ca) language updated (Thanks to Jordi Jorda)
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Martin)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)

************************************************************Version 3.2.7************************************************************

* Fix: Special characters in the post category name was not saving while creating Post Notifications
* Fix: Post Notification emails were not sent for post categories with special characters in the category name
* Fix: Multiple confirmation emails were sent when a subscriber subscribed to more than one group
* Fix: esc_attr when sanitizing input fields submitted via form
* Update: Renamed a few terms in Compose & Reports page for better accessibility
* Update: Text correction & improvements
* Update: POT file
* New: Translation for Swedish (sv_SE) language added (Thanks to Rune Svennelid)
* New: Translation for Hungarian (hu_HU) language added (Thanks to Zsolt Edelényi)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for French (fr_FR) language updated (Thanks to Serge)
* Update: Translation for Catalan (ca) language updated (Thanks to Jordi Jorda)
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Martin)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Russian (ru_RU) language removed
* Tweak: Don't show Database id of subscribers on Delivery Report page

************************************************************Version 3.2.6************************************************************

* New: WordPress 4.7.1 compatible
* New: Changed terminologies of admin menus for better accessibility
* Fix: Sanitize input fields while submitting subscribe form - Thanks to [Callibrator Pentester](http://hackholics.com/)
* Fix: Made all admin success notices to be dismissible
* Update: UI improvements
* Update: Text correction & improvements
* Update: POT file

************************************************************Version 3.2.5************************************************************

* New: Added action 'es_message_head' for developers to insert custom CSS into subscribe and unsubscribe message
* Fix: Exporting subscribers was giving 'Unexpected url submit has been detected' error
* New: Translation for Catalan (ca) language added (Thanks to Jordi)
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Tomas & Martin)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Lithuanian (lt_LT) language updated (Thanks to Andrius)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Dutch (nl_NL) language removed
* Update: Translation for Serbian (sr_RS) language removed

************************************************************Version 3.2.4************************************************************

* New: Bulk update Subscribers Status
* Fix: Single Opt In subscribers also showing Resend Confirmation link on Subscribers page
* Fix: Incorrect documentation links
* Update: Tested upto WordPress 4.7
* Update: POT file
* Update: Translation for Czech (cs_CZ) language updated (inside plugin & on translate.wordpress.org) (Thanks to Tomas & Martin)
* Tweak: Show only one notice while deleting subscribers

************************************************************Version 3.2.3************************************************************

* New: New contributor name has been added
* Update: Documentation links
* Update: POT file
* New: Translation for Lithuanian (lt_LT) language added (Thanks to Andrius)
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Martin)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)

************************************************************Version 3.2.2************************************************************

* Fix: Illegal string offset 'es_registered' when syncing existing WordPress Subscribers
* Fix: Confirmation text for static newsletters on Send Mail page
* New: Translation for French (fr_FR) language added (Thanks to Serge)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)

************************************************************Version 3.2.1************************************************************

* Fix: Optimize Table & Delete Records button not working
* Update: Translation for German (de_DE) language removed
* Update: Translation for Ukrainian (uk) language removed

************************************************************Version 3.2************************************************************

* New: Show the recipients count while sending static newsletters from Send Mail page
* New: Show Submission Date of subscribers on View Subscribers page
* New: Improved UI for Admin pages (Subscribers, Compose, Notification, Send Mail, Roles)
* New: Improved UI & Revised FAQ links for Help & Info page
* Fix: Security Check Failed error while sending static newsletters from Send Mail page
* Fix: Apostrophe in FROM name contains backslash escape character in emails
* Fix: Unable to update Subscribers group while editing Notification
* Fix: Failed to delete buffer while exporting the Subscriber list
* Fix: Use wp_get_referer() instead of $_SERVER['HTTP_REFERER'] while exporting email addresses ($_SERVER['HTTP_REFERER'] was not set on some servers)
* Fix: Presence of two content-type in email header was resulting in emails to bounce back in some cases
* Fix: Success notice was not visible when admin was saving / updating Roles
* Fix: Uncaught TypeError: Cannot read property 'es_email_mail' of undefined in Admin Roles page while updating Roles
* Fix: Made few strings translatable
* Update: Added pagination links on top in Sent Mail and Delivery Report page
* Update: Show 15 reports of emails sent on one page of Sent Mail page
* Update: Show 100 entries of subscribers on one page of Delivery Report page
* Update: Changed the confirmation text shown after subscriber successfully subscribes for Double Opt-In
* Update: Made text correction & improvements in many places
* Update: Removed A-Z & 0-9 listings from View Subscriber & Send Mail page
* Update: Removed listing all subscribers emails on Send Mail page
* Update: Removed showing Database Id on View Subscribers page
* Update: Removed comments sync option from Sync Email page
* Update: Removed unnecessary view-group.js, roles.js & settings.js files
* Update: POT file
* Update: Translation for Czech (cs_CZ) language updated (Thanks to Martin)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Russian (ru_RU) language updated (Thanks to Grishin Alexander)
* Update: Translation for Dutch (nl_NL) language updated (Thanks to Maurice)
* Update: Code Indentation & Code Improvements

************************************************************Version 3.1.5************************************************************

* New: Changed Notification Layout
* New: Created Check,Uncheck All Buttons while selecting categories on the Notification page
* New: Translation for Czech (cs_CZ) language added (Thanks to Martin)
* Fix: Subscribers subscribing via [Rainmaker](https://wordpress.org/plugins/icegram-rainmaker/) were not receving confirmation emails
* Fix: Made few strings translatable
* Update: Text correction in few places
* Update: POT file
* Update: Translation for Spanish (es_ES) language updated (Thanks to David Bravo)
* Update: Translation for Russian (ru_RU) language updated (Thanks to Grishin Alexander)
* Update: Translation for Polish (pl_PL) language updated (Thanks to Witold)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUÇ)
* Update: Translation for Tamil (ta) language deleted
* Update: Code Indentation & Code Improvements
* Tweak: Added div class for the subscribe, unsubscribe messages shown via emails

************************************************************Version 3.1.4************************************************************

* New: Use [Rainmaker](https://wordpress.org/plugins/icegram-rainmaker/) form to collect Subscribers
* New: Setting to select featured image size when using ###POSTIMAGE### shortlink
* New: Translation for Spanish (es_ES) language added (Thanks to bohemme)
* Fix: Made few strings translatable
* Fix: Incorrect text domain in few places
* Update: Revised FAQ links in Help & Info page inside plugin
* Update: POT file
* Update: Translation for Russian (ru_RU) language updated (Thanks to Alexander)
* Update: Translation for Turkish (tr_TR) language updated (Thanks to Erkan ORUC)
* Update: Text correction in few places
* Update: Code Indentation
* Update: Code improvements when using wp_enqueue_script
* Tweak: Do not allow admin to edit sample cron job url from Cron Mail Settings
* Tweak: CSS changes in Help & Info page inside plugin

************************************************************Version 3.1.3************************************************************

* New: Added form tag to subscribe form
* Fix: Added missing charset to meta tag
* Update: Moved javascripts to footer
* Update: Translation for Serbian (sr_RS) language updated (Thanks to Ogi Djuraskovic)
* Update: POT file

************************************************************Version 3.1.2************************************************************

* New: You can now include Unsubscribe link in Welcome Email (Icegram Express v3.1.2+)
* New: Welcome Page on activating Icegram Express
* Fix: Shortcode not showing error messages upon user subscription
* Fix: Show full sized featured image when using ###POSTIMAGE### shortlink
* Fix: Can't edit settings in admin panel if SSL is enabled
* Update: Revised the FAQ's in Help & Info page inside plugin
* Update: Text correction in few places
* Update: POT file
* Tweak: Do not allow admin to edit Subscribe, Unsubscribe link in admin settings

************************************************************Version 3.1.1************************************************************

* Fix: call_user_func_array() expects parameter 1 to be a valid callback, function 'es_admin_option' not found or invalid function name
* Fix: Incorrect plugin name in admin dashboard
* Fix: Warnings in console on submitting subscription form in Chrome
* Update: Revised Help & Info page inside plugin
* Update: Added translation for missing texts
* Update: POT file
* Tweak: Minor tweaks

************************************************************Version 3.1************************************************************

* New: Scripts and styles are now localized and can be translated
* Fix: Subscribe button not visible correctly in Chrome
* Update: Added POT file

************************************************************Version 3.0.1************************************************************

* New contributor name has been added successfully.

************************************************************Version 3.0************************************************************

* Tested upto 4.4

************************************************************Version 2.9.2************************************************************

* Add-on plugin available for advanced subscribers form (Users can select interested group in subscribers form).
* Polish language file added in the language directory.
* Text Domain slug has been added for Language Packs.

************************************************************Version 2.9.1************************************************************

* Fixed cross-site scripting vulnerabilities and a potential SQL injection.

************************************************************Version 2.9************************************************************

* Tested upto 4.3
* Option available to add same email address to multiple group name
* Cron Mail option added. With this option you can schedule cron jobs `sletter and notification emails. Using this cron option you can schedule mail (example 100 mails per hour)
* Group Name added in the export list.
* Mail Type option has been added in the Send Mail admin page. With this option you can add the mails into cron job or you can send the mail immediately.
* Notification Status option has been added in the notification setup page. With this option you can add notification mails into cron job or you can send the mail immediately when new post is published.
* Group name filter has been added in the subscriber admin page.

************************************************************Version 2.8************************************************************

* Tested upto 4.2
* Fixed warning message bug on Roles page
* Sync Email option has been added in the subscribers admin page. with this option all newly registered email address will be synced automatically into the plugin subscribers group.

************************************************************Version 2.7************************************************************

* Up to plugin version 2.6 only administrator level users can manage this plugin in dashboard. From this version I have introduced new feature called Roles.
* The user role can be selected using this Roles Menu. For example, If you want to give Send Email feature to Editor. Go to plugin Roles menu
using administrator login and select Editor role to Send Email Menu, So that your Editor level user can access plugin Send Email menu to publish newsletter emails.

************************************************************Version 2.6************************************************************

* Added new option in the Email Import page to select Email Status and Email Group. with this option you can select (or create) group name and emails status when you import the email address.

************************************************************Version 2.5************************************************************

* Now plugin supports custom post type. I.e. With this plugin, you can able to send automatic newsletter/notification emails when you publish custom posts.

************************************************************Version 2.4************************************************************

* Tested upto 4.1
* Fixed special character bug on Sender of Notification FROM email name.

************************************************************Version 2.3************************************************************

* This warning issue has been fixed (Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'es_admin_option' not found or invalid function name)

************************************************************Version 2.2************************************************************

* Warning message issue has been fix on notification mails. previously $post object was submitted to notification mail method without filtering post_id.
* Added new keywords ###POSTLINK-ONLY###, ###POSTLINK-WITHTITLE### for notification mail content.
	###POSTLINK-ONLY### 		- Use this key word to add post link in the mail content (Post link cannot be clickable)
	###POSTLINK-WITHTITLE### 	- Use this key word to display post link with title (Clickable post title)
	###POSTLINK### 				- Use this key word to display clickable post link.

************************************************************Version 2.1************************************************************

* In view subscribers admin page, Filter option and paging moved to the top right corner (Previous version it was in bottom).
* Plugin tested for multisite installation blogs.

************************************************************Version 2.0************************************************************

* Tested up to WordPress 4.0
* In view subscribers admin page, new option added to filter the email address based on status.
* Paging option added on view subscribers admin page. In default it will show only first 200 emails, you have drop down box to navigate another page (i.e. 201 to 400 emails etc..).
* Warning message fix on email address import page (i.e Strict standards: Only variables should be passed by reference)	- Fixed

************************************************************Version 1.9************************************************************

* New option added in admin setting page to update Sent Mail Report  Subject/Content. For each newsletter mail and notification mail,
plugin will send one report mail to admin with default content. Now with this option, admin can update that default mail content.

************************************************************Version 1.8************************************************************

* Bug fixed on Double Opt-In welcome mail check (Previously it was not checking admin setting for welcome mail).
* Tested up to WordPress 3.9.2

************************************************************Version 1.7************************************************************

* Bug fixed on individual subscriber delete option.
* Bug fixed on individual subscriber resend confirmation mail option.

************************************************************Version 1.6************************************************************

* Bug fix on Send Mail/Notification warning message (i.e Call to undefined method issue has been fixed)
Call to undefined method es_cls_common::es_sent_report_plain() 	- Fixed
Call to undefined method es_cls_common::es_sent_report_html() 	- Fixed

************************************************************Version 1.5************************************************************

* Bug fix on admin notification email for new subscribers.

************************************************************Version 1.4************************************************************

* Scheduled published posts issue has been fixed (From this version onwards, Notification emails will be triggered for scheduled posts)
* Bulk update option for subscribers group in admin view subscribers page.

************************************************************Version 1.3************************************************************

* Fixed small error on mail compose page.
* Added check for Already Confirmed emails. This is to prevent user clicking optin email link multiple time.

************************************************************Version 1.2************************************************************

* Widget translation issue has been fixed
* PHP warning message from Subscribers Export page has been removed.

************************************************************Version 1.1************************************************************

* Subscriber admin page, Check ALL & Uncheck All bug fixed.
* Updated Help documents.

************************************************************Version 1.0************************************************************

First version.

Icegram Express plugin has options to send newsletters to subscribers. It has a separate page with HTML editor to create a HTML newsletter.
Also have options to send notification email to subscribers when new posts are published to your blog. Separate page available to include and
exclude categories to send notifications. Using plugin Import and Export options admins can easily import registered users and commenters to
subscriptions list.